| Home | Libraries | People | FAQ | More

#### windows::basic_object_handle::async_wait

Start an asynchronous wait on the object handle.

    template<
        typename WaitHandler>
    void-or-deduced async_wait(
        WaitHandler handler);

This function is be used to initiate an asynchronous wait against the object handle. It always returns immediately.

###### Parameters

handler

  The handler to be called when the object handle is set to the signalled state. Copies will be made of the handler as required. The function signature of the handler must be:

      void handler(
        const boost::system::error_code& error // Result of operation.
      );

  Regardless of whether the asynchronous operation completes immediately or not, the handler will not be invoked from within this function. Invocation of the handler will be performed in a manner equivalent to using `boost::asio::io_service::post()`.